import request from '@/utils/request'

// 查询每周个人安全检查列表
export function listPersonweekcheck(query) {
  return request({
    url: '/safecheck/personweekcheck/list',
    method: 'get',
    params: query
  })
}

// 查询每周个人安全检查列表
export function myListPersonweekcheck(query) {
  return request({
    url: '/safecheck/personweekcheck/myList',
    method: 'get',
    params: query
  })
}

// 查询每周个人安全检查详细
export function getPersonweekcheck(id) {
  return request({
    url: '/safecheck/personweekcheck/' + id,
    method: 'get'
  })
}

// 新增每周个人安全检查
export function addPersonweekcheck(data) {
  return request({
    url: '/safecheck/personweekcheck',
    method: 'post',
    data: data
  })
}

// 修改每周个人安全检查
export function updatePersonweekcheck(data) {
  return request({
    url: '/safecheck/personweekcheck',
    method: 'put',
    data: data
  })
}

// 删除每周个人安全检查
export function delPersonweekcheck(id) {
  return request({
    url: '/safecheck/personweekcheck/' + id,
    method: 'delete'
  })
}

// 导出每周个人安全检查
export function exportPersonweekcheck(query) {
  return request({
    url: '/safecheck/personweekcheck/export',
    method: 'get',
    params: query
  })
}
// 批量确认
export function batchConfirm(id) {
  return request({
    url: '/safecheck/personweekcheck/batchConfirm/' + id,
    method: 'get'
  })
}

// 批量确认
export function batchCancel(id) {
  return request({
    url: '/safecheck/personweekcheck/batchCancel/' + id,
    method: 'get'
  })
}
